<ion-header>
  <ion-navbar>
    <ion-row>
      <ion-col col-6 style="padding-top:5px;">
        <span class="business_name_at_dashboard">{{translate.addBillPage[0][translate.selectedlanguage]}}</span>
      </ion-col>
      <ion-col col-6>
        <ion-title text-right>
          <span class="edit_save" (click)="save()"><ion-icon ios="ios-checkbox" md="md-checkbox"></ion-icon></span>
        </ion-title>
      </ion-col>
    </ion-row>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <h6 class="bill_details_heading">{{translate.addBillPage[1][translate.selectedlanguage]}}</h6>
  <ion-card>
    <ion-card-content>
      <ion-row class="card_row_header">
        <ion-col col-8 class="left-column-6">
          <span class="card_row_header_span">{{translate.addBillPage[2][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-4 class="right-column-6">
          <span class="card_row_header_span_arrow_down" (click)="showTransactionDetails()">
            <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="transactionDetails"></ion-icon>
            <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!transactionDetails"></ion-icon>
          </span>
          <span class="card_row_header_span_add_button" (click)="addTransaction()">
            <ion-icon ios="ios-add-circle" md="md-add-circle"></ion-icon>
          </span>
        </ion-col>
      </ion-row>
      <div [hidden]="transactionDetails">
        <ion-row class="card_row_items_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_items_details_span">{{translate.addBillPage[3][translate.selectedlanguage]}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6">
            <span class="card_row_items_details_span_2">{{transaction_type}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_items_details_span">{{translate.addBillPage[4][translate.selectedlanguage]}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6">
            <span class="card_row_items_details_span_2">{{transaction_sub_type}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_items_details_span">{{translate.addBillPage[5][translate.selectedlanguage]}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6">
            <span class="card_row_items_details_span_2">{{document_type}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_items_details_span">{{translate.addBillPage[6][translate.selectedlanguage]}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6">
            <span class="card_row_items_details_span_2">{{transaction.document_no}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_items_details_span">{{translate.addBillPage[7][translate.selectedlanguage]}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6">
            <span class="card_row_items_details_span_2">{{transaction.document_date}}</span>
          </ion-col>
        </ion-row>
      </div>
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-content>
      <ion-row class="card_row_header">
        <ion-col col-8 class="left-column-6">
          <span class="card_row_header_span">{{translate.addBillPage[8][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-4 class="right-column-6">
          <span class="card_row_header_span_arrow_down" (click)="showBillFromDetails()">
            <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="billFromDetails"></ion-icon>
            <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!billFromDetails"></ion-icon>
          </span>
          <span class="card_row_header_span_add_button" (click)="addBillFrom()">
            <ion-icon ios="ios-add-circle" md="md-add-circle"></ion-icon>
          </span>
        </ion-col>
      </ion-row>
      <div [hidden]="billFromDetails">
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[9][translate.selectedlanguage]}}<br> {{billFrom?.bill_from_name}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6" style="border-right: 1px solid #c79999;">
            <span class="card_row_bill_details_span">GSTIN<br> {{billFrom?.bill_from_gstin}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6" style="text-align:left;">
            <span class="card_row_bill_details_span">{{translate.addBillPage[10][translate.selectedlanguage]}}<br> {{billFrom?.bill_from_state}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details" style="background:#f5eded;">
            <ion-col col-6 class="left-column-6">
              <span class="dispatch_from">{{translate.addBillPage[11][translate.selectedlanguage]}}</span>
            </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[12][translate.selectedlanguage]}}<br> {{billFrom?.bill_from_address_one}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[13][translate.selectedlanguage]}}<br> {{billFrom?.bill_from_address_two}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[14][translate.selectedlanguage]}}<br> {{billFrom?.bill_from_place}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6" style="border-right: 1px solid #c79999;">
            <span class="card_row_bill_details_span">{{translate.addBillPage[15][translate.selectedlanguage]}}<br> {{billFrom?.bill_from_pincode}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6" style="text-align:left;">
            <span class="card_row_bill_details_span">{{translate.addBillPage[16][translate.selectedlanguage]}}<br> {{billFrom?.bill_from_state}}</span>
          </ion-col>
        </ion-row>
      </div>
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-content>
      <ion-row class="card_row_header">
        <ion-col col-8 class="left-column-6">
          <span class="card_row_header_span">{{translate.addBillPage[17][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-4 class="right-column-6">
          <span class="card_row_header_span_arrow_down" (click)="showBillToDetails()">
            <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="billToDetails"></ion-icon>
            <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!billToDetails"></ion-icon>
          </span>
          <span class="card_row_header_span_add_button" (click)="addBillTo()">
            <ion-icon ios="ios-add-circle" md="md-add-circle"></ion-icon>
          </span>
        </ion-col>
      </ion-row>
      <div [hidden]="billToDetails">
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[18][translate.selectedlanguage]}}<br>{{billTo?.bill_to_name}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6" style="border-right: 1px solid #c79999;">
            <span class="card_row_bill_details_span">GSTIN<br>{{billTo?.bill_to_gstin}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6" style="text-align:left;">
            <span class="card_row_bill_details_span">{{translate.addBillPage[19][translate.selectedlanguage]}}<br> {{billTo?.bill_to_state}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details" style="background:#f5eded;">
            <ion-col col-6 class="left-column-6">
              <span class="dispatch_from">{{translate.addBillPage[20][translate.selectedlanguage]}}</span>
            </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[21][translate.selectedlanguage]}}<br>{{billTo?.bill_to_address_one}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[22][translate.selectedlanguage]}}<br>{{billTo?.bill_to_address_two}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[23][translate.selectedlanguage]}}<br>{{billTo?.bill_to_place}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6" style="border-right: 1px solid #c79999;">
            <span class="card_row_bill_details_span">{{translate.addBillPage[24][translate.selectedlanguage]}}<br> {{billTo?.bill_to_pincode}}</span>
          </ion-col>
          <ion-col col-6 class="right-column-6" style="text-align:left;">
            <span class="card_row_bill_details_span">{{translate.addBillPage[25][translate.selectedlanguage]}}<br>{{billTo?.bill_to_state}}</span>
          </ion-col>
        </ion-row>
      </div>
    </ion-card-content>
  </ion-card>
  <ion-card>
    <ion-card-content>
      <ion-row class="card_row_header">
        <ion-col col-8 class="left-column-6">
          <span class="card_row_header_span">{{translate.addBillPage[26][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-4 class="right-column-6">
          <span class="card_row_header_span_arrow_down" (click)="showItemDetails()">
            <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="itemsDetails"></ion-icon>
            <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!itemsDetails"></ion-icon>
          </span>
          <span class="card_row_header_span_add_button" (click)="addItem()">
            <ion-icon ios="ios-add-circle" md="md-add-circle"></ion-icon>
          </span>
        </ion-col>
      </ion-row>
      <div [hidden]="itemsDetails">
        <div *ngFor="let item of itemsList; let i = index;">
          <ion-row class="card_row_bill_details" style="background:#f5eded;">
            <ion-col col-7 class="left-col-6">
              <span class="dispatch_from">{{i+1}}. {{item.description}}</span>
            </ion-col>
            <ion-col col-5 class="right-col-6" text-right>
              <span class="card_row_header_span_arrow_down" (click)="deleteItem(item)">
                <ion-icon ios="ios-trash" md="ios-trash"></ion-icon>
              </span>
              <span class="card_row_header_span_add_button" (click)="updateItem(item)">
                <ion-icon ios="ios-create" md="ios-create"></ion-icon>
              </span>
            </ion-col>
          </ion-row>
          <ion-row class="card_row_items">
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">{{translate.addBillPage[27][translate.selectedlanguage]}}<br> {{item.itemDescription}}</span>
            </ion-col>
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">{{translate.addBillPage[46][translate.selectedlanguage]}}<br> {{item.hsnSac}}</span>
            </ion-col>
          </ion-row>
          <ion-row class="card_row_items">
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">{{translate.addBillPage[28][translate.selectedlanguage]}}<br> {{item.qty}}</span>
            </ion-col>
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">{{translate.addBillPage[29][translate.selectedlanguage]}}<br> {{item.unitofmeasurement}}</span>
            </ion-col>
          </ion-row>
          <ion-row class="card_row_items">
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">{{translate.addBillPage[30][translate.selectedlanguage]}}(&#x20B9;)<br> {{item.rate}}</span>
            </ion-col>
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">{{translate.addBillPage[31][translate.selectedlanguage]}}<br> {{item.taxablevalue1}}</span>
            </ion-col>
          </ion-row>
          <ion-row class="card_row_items">
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">{{translate.addBillPage[32][translate.selectedlanguage]}}<br> {{item.taxablerate}}</span>
            </ion-col>
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">IGST<br> {{item.igst}}</span>
            </ion-col>
          </ion-row>
          <ion-row class="card_row_items">
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">CGST<br> {{item.cgst}}</span>
            </ion-col>
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">SGST<br> {{item.sgst}}</span>
            </ion-col>
          </ion-row>
          <ion-row class="card_row_items">
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">{{translate.addBillPage[44][translate.selectedlanguage]}}(%)<br> {{item.cessrate}}</span>
            </ion-col>
            <ion-col col-6 class="card_row_items_col">
              <span class="card_row_item_details_span">{{translate.addBillPage[45][translate.selectedlanguage]}}(&#x20B9;)<br> {{item.cessAmt}}</span>
            </ion-col>
          </ion-row>
          <ion-row class="card_row_items">
            <ion-col col-12 class="card_row_items_col" style="text-align:right;">
              <span class="card_row_item_details_span">{{translate.addBillPage[33][translate.selectedlanguage]}}<br> {{item.total}}</span>
            </ion-col>
          </ion-row>
        </div>
      </div>
    </ion-card-content>
  </ion-card>
  <h6 class="bill_details_heading">{{translate.addBillPage[34][translate.selectedlanguage]}}</h6>
  <ion-card>
    <ion-card-content>
      <ion-row class="card_row_header">
        <ion-col col-8 class="left-column-6">
          <span class="card_row_header_span">{{translate.addBillPage[35][translate.selectedlanguage]}}</span>
        </ion-col>
        <ion-col col-4 class="right-column-6">
          <span class="card_row_header_span_arrow_down" (click)="showTransportDetails()">
            <ion-icon ios="ios-arrow-down-outline" md="ios-arrow-down-outline" *ngIf="transportDetails"></ion-icon>
            <ion-icon ios="ios-arrow-up" md="ios-arrow-up" *ngIf="!transportDetails"></ion-icon>
          </span>
          <span class="card_row_header_span_add_button" (click)="addTransport()">
            <ion-icon ios="ios-add-circle" md="md-add-circle"></ion-icon>
          </span>
        </ion-col>
      </ion-row>
      <div [hidden]="transportDetails">
        <ion-row class="card_row_bill_details">
          <ion-col col-12 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[36][translate.selectedlanguage]}}<br> {{transport.transportion_name}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.addBillPage[43][translate.selectedlanguage]}}<br> {{transport.gstin}}</span>
          </ion-col>
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.addBillPage[37][translate.selectedlanguage]}}(In KM)<br> {{transport.approx_distance}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.addBillPage[38][translate.selectedlanguage]}}<br> {{transport.transportation_mode}}</span>
          </ion-col>
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.addBillPage[39][translate.selectedlanguage]}}<br> {{transport.transportation_date}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_items">
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.addBillPage[40][translate.selectedlanguage]}}<br> {{transport.vehicle_number}}</span>
          </ion-col>
          <ion-col col-6 class="card_row_items_col">
            <span class="card_row_item_details_span">{{translate.addBillPage[41][translate.selectedlanguage]}}<br> {{transport.transport_doc_no}}</span>
          </ion-col>
        </ion-row>
        <ion-row class="card_row_bill_details">
          <ion-col col-6 class="left-column-6">
            <span class="card_row_bill_details_span">{{translate.addBillPage[42][translate.selectedlanguage]}}<br> {{transport.vehicle_type}}</span>
          </ion-col>
        </ion-row>
      </div>
    </ion-card-content>
  </ion-card>
</ion-content>
